Subject: Re: bug#7055: Tramp bug: file-remote-p is now broken, breaks Emacs

From: Eli Zaretskii <[email-masked]>
Date: Fri, 17 Sep 2010 18:28:56 +0200

> From: Michael Albinus <[email-masked]>
> Date: Fri, 17 Sep 2010 17:38:57 +0200
> Cc: [email-masked]
> 
> Drew Adams <[email-masked]> writes:
> 
> > Actually, this Tramp bug prevents me from being able to use Emacs at all 
> > - the
> > error pops up all of the time.
> >
> > emacs -Q
> >
> > In *scratch*, call file-remote-p with a remote file name (can be a 
> > fictitious
> > file):
> >
> > (file-remote-p "/foo-2.foo.com:/usr/share/emacs/21.3/lisp/README")
> >
> > You get this error:
> >
> >   "Symbol's function definition is void: tramp-compat-call-process)"
> 
> Under GNU/Linux, it is not reproducible. I will try to hijack a Windows
> machine, in order to reproduce.

And I cannot reproduce this on today's build on Windows.  It works
okay for me.

Since Drew uses precompiled binaries from a few days ago, I'm guessing
that this is due to the problems with Tramp loaddefs, which was fixed
by Juanma.  Or maybe some other similar problem.

Drew, do you see in lisp/ChangeLog this entry:

  2010-09-13  Juanma Barranquero  <[email-masked]>

	  Port tramp-related Makefile changes of revnos 101381, 101422 to Windows.
	  * makefile.w32-in (LOADDEFS): Add $(lisp)/net/tramp-loaddefs.el.
	  (TRAMP_SRC): New macro.
	  ($(lisp)/net/tramp-loaddefs.el): New target.